# 대화방ID 등록 가능 여부 조회

## Request

## 대화방ID 등록 가능 여부를 조회 합니다.<br>

> 대화방ID 등록 가능 여부를 조회 합니다. 등록 가능한 경우 200 OK 응답으로 리턴되며, 대화방ID 형식 부적합, 이미 등록된\
> 대화방ID 등  등록이 불가능한 경우 400 Error 리턴됩니다.\
> \
> &#x20; \+ 발신번호 조회 시에는 숫자만 입력해야 합니다.  \
> &#x20;   \- 발신번호 조회 시 숫자 이외 '-'을 삽입할 경우 양방향 대화방ID로 인식될 수 있으므로 주의해 주세요.  \
> &#x20; \+ 양방향 대화방ID 조회 시에는 영문, 숫자, '-', '\_' 사용이 가능합니다.  \
> &#x20;   \- 양방향 대화방ID 영문 대문자는 소문자로 변환됩니다.  \
> \
> &#x20; \+ \*\*계정 권한: 대행사\*\*  <br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"ChatbotId":{"name":"chatbotId","in":"path","description":"브랜드 내 대화방 정보 접근시 사용되는 대화방ID Path Parameter 입니다.\n","schema":{"type":"string"},"required":true}}},"paths":{"/usableQuery/chatbotId/{chatbotId}":{"get":{"summary":"대화방ID 등록 가능 여부를 조회 합니다.\n","description":"대화방ID 등록 가능 여부를 조회 합니다. 등록 가능한 경우 200 OK 응답으로 리턴되며, 대화방ID 형식 부적합, 이미 등록된\n대화방ID 등  등록이 불가능한 경우 400 Error 리턴됩니다.\n\n  + 발신번호 조회 시에는 숫자만 입력해야 합니다.  \n    - 발신번호 조회 시 숫자 이외 '-'을 삽입할 경우 양방향 대화방ID로 인식될 수 있으므로 주의해 주세요.  \n  + 양방향 대화방ID 조회 시에는 영문, 숫자, '-', '_' 사용이 가능합니다.  \n    - 양방향 대화방ID 영문 대문자는 소문자로 변환됩니다.  \n\n  + **계정 권한: 대행사**  \n","parameters":[{"$ref":"#/components/parameters/ChatbotId"}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-object"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>object</td><td align="center"></td><td align="center">O</td><td></td><td>대화방Id(=chatbotId)</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - object

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="120">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>chatbotId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>대화방Id(=chatbotId)</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": "registration available",
    "result": {
        "chatbotId": "121251"
    },
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64373",
        "message": "Invalid chatbotId format"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/chatbot/get_chatbot_reg_check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
